<?php
require_once $_SERVER["DOCUMENT_ROOT"]."/sys/site.php";
require_once $_SERVER["DOCUMENT_ROOT"]."/sys/infobox.php";
require_once $_SERVER["DOCUMENT_ROOT"]."/sys/increment.php";
require_once $_SERVER["DOCUMENT_ROOT"]."/sys/semantics.php";

class Footer {
	function __construct($page, $hide_mario = false, $show_increment = true) {
		// $last_update = stat($_SERVER['DOCUMENT_ROOT'])['mtime'];
		$last_update = stat(Site::intpath($page->url))['mtime'];
		?>
		<footer>
			<?php
			if ($hide_mario == false) {
				?>
				<div class="float-r mario"><img src="/assets/mario_relaxing.gif" alt="A low-poly 3D animation of Mario relaxing." role="presentation" /></div>
				<?php
			}
			?>
			<?php
			if ($show_increment == true) {
				try {
					$increment = new Increment($page);
					$increment->handle_increment();
					$count = $increment->get_count();
					echo IncrementButton::new()->count($count)->html();
				} catch (Exception $e) {
					echo InfoBox::new()->error()->text("Server failed to load increment component.")->html();
					echo "<br />";
				}
			}
			?>
			Page last updated <b><?=html_date("F j, Y",$last_update);?></b>
			<br />
			<small>Copyleft &#x1f12f; ~keith. You can more or less do anything with this stuff, see <a href="/about_copyleft.php">Copyleft</a> for more details.</small>
		</footer>
		<?php
	}
}
?>
