<?php
require_once $_SERVER["DOCUMENT_ROOT"]."/sys/widget.php";

class InfoBox implements Widget {
	private ?string $_label;
	private string $_text;
	private ?string $_content;
	private ?string $_type;
	
	function __construct() {
		$this->_label = null;
		$this->_text = "";
		$this->_content = null;
		$this->_type = null;
	}
	
	static function new() {
		return new InfoBox();
	}
	
	static function under_construction() {
		return (new InfoBox())->label("Caution")->text("Page currently under construction.");
	}

	static function javascript() {
		return (new InfoBox())->text("This page uses JavaScript for its main functionality.");
	}
	
	// Bold text displayed beside the icon.
	function label($label) {
		$this->_label = $label;
		return $this;
	}
	// A line of text displayed beside the icon, after the label.
	function text($text) {
		$this->_text = $text;
		return $this;
	}
	// HTML content.
	function content($content) {
		$this->_content = $content;
		return $this;
	}
	
	function tip() {
		$this->_type = "tip-box";
		if ($this->_label == null)
			$this->_label = "Tip";
		return $this;
	}
	function error() {
		$this->_type = "error-box";
		if ($this->_label == null)
			$this->_label = "Error";
		return $this;
	}
	function success() {
		$this->_type = "success-box";
		return $this;
	}
	function warning() {
		$this->_type = "warning-box";
		if ($this->_label == null)
			$this->_label = "Warning";
		return $this;
	}
	
	public function html() : string {
		$class = "info-box";
		if ($this->_type != null)
			$class .= " $this->_type";
		if ($this->_content != null)
			$class .= "\" style=\"padding-bottom: 0px;";
		
		$html = "<div class=\"$class\">";
		if ($this->_label != null)
			$html .= "<b>" . htmlspecialchars($this->_label, ENT_NOQUOTES, null, false) . ":</b> ";
		
		// $html .= htmlspecialchars($this->_text, ENT_NOQUOTES, null, false);
		$html .= $this->_text;
		if ($this->_content != null)
			$html .= "\n$this->_content\n";
		$html .= "</div>";
		
		return $html;
	}
}
?>
